Subject: bug#54016: 29.0.50; TRAMP + sshfs says constantly that file changed

From: Ergus <[email-masked]>
Date: Wed, 16 Feb 2022 18:59:43 +0100

On Wed, Feb 16, 2022 at 04:26:08PM +0100, Michael Albinus wrote:
>Ergus <[email-masked]> writes:
>
>Hi,
>
>>>> Using tramp+sshfs it works pretty much fine at the beginning but after
>>>> some minutes it interrupts constantly saying that the file changed on
>>>> disk and asks for edit confirmation.
>>>>
>>>> By constantly I mean every time a new edit is attempt I get this (even
>>>> several times consecutive).
>>>>
>>>> ```
>>>> Saving file /sshfs:XXX:XXXX
>>>> benchmarks_ompss.h has changed since visited or saved.  Save anyway? (y or n) y
>>>> benchmarks_ompss.h changed on disk; really edit the buffer? (y, n, r or C-h) y
>>>> File on disk now will become a backup file if you save these changes.
>>>> Wrote /sshfs:XXX:XXXX
>>>> ```
>>>
>>>Well, I would need a recipe to reproduce. Could you run it, when
>>>tramp-verbose is set to 10? And please tell me at which time the problem
>>>starts to appear, so I have a chance to find it in the debug buffer.
>>>
>>>I know that the debug buffer will be huge after a while, but there is no
>>>problem if you send it directly to me (or a URL where I could find it).
>>>
>>
>> 1) C-x C-f /sshfs:mn3:/home/ergus/cholesky_ompss2/cholesky_utils.c
>> 2) edit and save (C-x C-f)
>>
>> 3) Try to edit again:
>>
>> and get the message:
>>
>> ```
>> cholesky_utils.c changed on disk; really edit the buffer? (y, n, r or C-h) y
>> File on disk now will become a backup file if you save these changes.
>> ```
>>
>> While this is printed in the debug buffer.
>
>Thanks for the recipe and the traces. Finally, I could reproduce the
>problem locally, it was due to a missing update of the buffer's
>modification time. The appended patch fixes this for me, could you pls
>test?
>
>Best regards, Michael.
>

Hi:

The patch seems to solve the issue for me.

Feel free to close the issue.

Very thanks!!
Ergus